Subject: Re: bug#47028: Discourage single-character package names

From: zimoun <[email-masked]>
Date: Wed, 10 Mar 2021 14:04:12 +0100

Hi,

(CC: Ricardo since they is the master about R stuff. :-))

On Tue, 09 Mar 2021 at 19:44, Mark H Weaver <[email-masked]> wrote:

> We have one notable exception in Guix: "r", which is "grandfathered in"
> so-to-speak, but perhaps it would have been excusable anyway, given its
> prominence and its large number of related packages "r-*".
>
> I fully support your proposal to talk about single-character names in
> the manual, and also to check for them in the linter, but perhaps "r"
> should be whitelisted.

On the other hand, instead of simply the one letter “r”, we could rename
it “r-environment”.  Because the package currently named “r” is the
interpreter named “r-minimal” plus extra packages, constituting the
basic bricks of the “R environment” [1].

1: <https://www.r-project.org/about.html>

--8<---------------cut here---------------start------------->8---
(define-public r
  (package (inherit r-minimal)
    (name "r")
    (source #f)
    (build-system trivial-build-system)
    (arguments '(#:builder (begin (mkdir %output) #t)))
    (propagated-inputs
     `(("r-minimal" ,r-minimal)
       ("r-boot" ,r-boot)
       ("r-class" ,r-class)
       ("r-cluster" ,r-cluster)
       ("r-codetools" ,r-codetools)
       ("r-foreign" ,r-foreign)
       ("r-kernsmooth" ,r-kernsmooth)
       ("r-lattice" ,r-lattice)
       ("r-mass" ,r-mass)
       ("r-matrix" ,r-matrix)
       ("r-mgcv" ,r-mgcv)
       ("r-nlme" ,r-nlme)
       ("r-nnet" ,r-nnet)
       ("r-rpart" ,r-rpart)
       ("r-spatial" ,r-spatial)
       ("r-survival" ,r-survival)))))
--8<---------------cut here---------------end--------------->8---

I also support the proposal.  My point is: I am not even sure that “r”
should be whitelisted.

Cheers,
simon